import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { BaseMenuComponent } from './pages/base-menu/base-menu.component';
import { LayoutModule } from '@angular/cdk/layout';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatButtonModule } from '@angular/material/button';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatIconModule } from '@angular/material/icon';
import { MatListModule } from '@angular/material/list';
import { MonacoEditorTestModule } from './pages/monaco-editor-test/monaco-editor-test.module';
import { GuestPageModule } from './pages/guest-page/guest-page.module';

@NgModule({
  declarations: [
    AppComponent,
    BaseMenuComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    BrowserAnimationsModule,
    LayoutModule,
    MatToolbarModule,
    MatButtonModule,
    MatSidenavModule,
    MatIconModule,
    MatListModule,
    GuestPageModule,
    MonacoEditorTestModule,
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
